Subject: bug#21316: 25.0.50; eww-browse-with-external-browser should respect browse-url by default

From: Artur Malabarba <[email-masked]>
Date: Mon, 28 Dec 2015 23:36:09 +0000

On 25 Dec 2015 3:52 am, "Lars Ingebrigtsen" <[email-masked]> wrote:
> > In terms of actual user experience, I was surprised when
> > `eww-browse-with-external-browser' launched the wrong browser for me.
>
> This is so that you can set `browse-url-browser-function' to eww, which
> is what everybody does.  :-)  You still need an external browser, and
> `browse-url-default-browser' returns one of those.

I understand the logic. Still, is there any chance we can find another
solution?
Something that avoids the surprise I had? This was the first time emacs
ever opened the wrong browser for me.

Not a huge deal, though.